## hunt-1.5.tar.bz2

=== tpserv/Makefile ===
CFLAGS=-Wall -O2 -g

all: tpserv

tpserv: tpserv.o
	$(CC) -o $@ $< $(LIBS)

clean:
	rm -f *.o

distclean: clean
	rm -f tpserv

=== debian/changelog ===
hunt (1.5-4) unstable; urgency=low

  * copyright location no longer exists (nor is the "new" location
    there anymore).  Mentioned www.l0t3k.net link (closes: #221279)
  * comment out a small part of sparc patch since it breaks on at
    least x86 (closes: #173334)
  * made comment at start of manpage that by default only telnet
    connections are monitored

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  7 Sep 2004 18:29:53 +0100

hunt (1.5-3) unstable; urgency=low

  * fix whatis bug in manpage - thanks Andras Bali (closes: #113909)
  * Apply patch from Speed Blue <julien.lemoine@wanadoo.fr> 
    to fix bus errors / segfaults on sparc (Closes: #85593)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 19 Feb 2002 20:01:44 +0000

hunt (1.5-2) unstable; urgency=low

  * fix manpage parsing (closes: #113909)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  2 Dec 2001 15:32:04 +0000

hunt (1.5-1) unstable; urgency=low

  * New upstream.

 -- Adrian Bridgett <bridgett@debian.org>  Thu, 15 Jun 2000 22:59:31 +0100

hunt (1.4-1) unstable; urgency=low

  * New upstream (manpage has been integrated).
  * FHS

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 18 Oct 1999 22:45:31 +0100

hunt (1.3-2) unstable; urgency=low

  * Add manpage kindly written by Jon Marler <jmarler@istrength.net>
    It's been forwarded upstream, but a new release hasn't been made yet.

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 11 Jul 1999 22:51:47 +0100

hunt (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Adrian Bridgett <bridgett@debian.org>  Wed, 28 Apr 1999 23:45:06 +0100

=== debian/control ===
Source: hunt
Section: net
Priority: optional
Maintainer: Adrian Bridgett <bridgett@debian.org>
Build-Depends: debhelper
Standards-Version: 3.6.1.1

Package: hunt
Architecture: any
Depends: ${shlibs:Depends}
Description: Advanced packet sniffer and connection intrusion
 Hunt is a program for intruding into a connection, watching it and
 resetting it.
 .
 Note that as hunt is operating on Ethernet, it is best used for connections
 which can be watched through it. However, it is possible to do something
 even for hosts on another segments or hosts that are on switched ports.

=== debian/rules ===
#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
export DH_VERBOSE=1
DEB=debian/tmp

build:	build-stamp

build-stamp:
	dh_testdir
	# build package here
	$(MAKE)
	cd tpserv && make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	cd tpserv && make distclean
	dh_clean

binary-indep:	build
# is it arch or indep?
binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/sbin
	# move files into debian/tmp
	#$(MAKE) PREFIX=$(DEB) install
	cp hunt tpserv/tpserv tpsetup/transproxy $(DEB)/usr/sbin
	dh_installdocs README TODO README.tp
	dh_installmanpages
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
